<?php
/*
 osCommerce, Open Source E-Commerce Solutions 
http://www.oscommerce.com 

Copyright (c) 2003 osCommerce 

osCommRes, Services Oline 
http://www.oscommres.com 
Copyright (c) 2005 osCommRes 

Freeway eCommerce 
http://www.zac-ware.com/freeway 
Copyright (c) 2007 ZacWare 

Released under the GNU General Public License
*/

// retreive the last x products purchased
// Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();
	$template_html='<tr>
						<td width="{{INITIAL_WIDTH}}"></td><td class="{{CLASS}}">{{SPACER}}{{ICON}}</td><td class="{{CLASS}}"><a href={{LINK_1}}> {{NAME}}</a></td><td class="{{CLASS}}"><a href={{LINK_2}}> {{NAME_2}}</a></td>
					</tr>
					<tr>
						<td height="5"></td>
					</tr>
					';
  $orders_query = tep_db_query("select distinct op.products_id from " . TABLE_ORDERS . " o, " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_PRODUCTS . " p where o.customers_id = '" . $customer_id . "' and o.orders_id = op.orders_id and op.products_id = p.products_id and p.products_status = '1' group by products_id order by o.date_purchased desc limit " . MAX_DISPLAY_PRODUCTS_IN_ORDER_HISTORY_BOX);
  if (tep_db_num_rows($orders_query)) {
?>
<!-- customer_orders //-->
<tr>
	<td>
<?php

	if(!defined('BOX_HEADING_CUSTOMER_ORDERS'))define('BOX_HEADING_CUSTOMER_ORDERS', 'Order History');
	$info_box_contents = array();
	$info_box_contents[] = array('text'  => BOX_HEADING_CUSTOMER_ORDERS);
	new infoBoxHeading($info_box_contents, true, true);

    $info_box_contents = array();

	$product_ids = '';
	while ($orders = tep_db_fetch_array($orders_query)) {
		$product_ids .= $orders['products_id'] . ',';
	}
    $product_ids = substr($product_ids, 0, -1);

	$replace_array=array();
	$replace_array["INITIAL_WIDTH"]=$INITIAL_WIDTH;
	$replace_array["CLASS"]="infoBoxNavigation";
	$replace_array["SPACER"]=tep_draw_separator('pixel_trans.gif',10,1);
	$replace_array["ICON"]=$CONTENT_ICON;
	$replace_html=$template_html;
	
	reset($replace_array);
	while(list($key,)=each($replace_array)){
		$replace_html=str_replace("{{" . $key . "}}",$replace_array[$key],$replace_html);
	}
	
	$replace_array=array();
    $products_query = tep_db_query("select products_id, products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id in (" . $product_ids . ") and language_id = '" . $languages_id . "' order by products_name");
    while ($products = tep_db_fetch_array($products_query)) {
		$prod_name_length=strlen($products['products_name']);
		if($prod_name_length>20) $products['products_name']=substr($products['products_name'],0,20).'..';
		
		$replace_string=$replace_html;
		$replace_array["LINK_1"] = tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $products['products_id']);
		$replace_array["NAME"]= $products['products_name'];
		$replace_array['NAME_2']=tep_image(DIR_WS_ICONS . 'cart.gif', ICON_CART);
		$replace_array['LINK_2']=tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action')) . 'action=cust_order&pid=' . $products['products_id'], 'NONSSL');
		
		reset($replace_array);
		while(list($key,)=each($replace_array)){
			$replace_string=str_replace("{{" . $key . "}}",$replace_array[$key],$replace_string);
		}
		$customer_orders_string.=$replace_string;  
    }

    $info_box_contents[] = array('align' => 'left',
                                 'text'  =>'<table border="0" cellpadding="0" cellspacing="0" width="100%">' . $customer_orders_string . '</table>');

	new infoBox($info_box_contents);
	
	$info_box_contents = array();
	$info_box_contents[] = array('align' => 'left',
	'text'  => tep_draw_separator('pixel_trans.gif', '100%', '1')
							  );
	new infoboxFooter($info_box_contents, true, true);
?>
	</td>
</tr>
<!-- customer_orders_eof //-->
<?php
  }
?>
